[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Linux-PAM compile error 0.65



>  > While trying to compile Linux-PAM under Solaris v2.5.1 I get the
>  > following errors. I am using CC=gcc in the default solaris.defs file.
>  > ...
>  > warning: `PAM_REFRESH_CRED' redefined
>  > ...
>  > pam_item.c:133: `LOG_AUTHPRIV' undeclared (first use this function)
>  > ...
>  
>    Solaris has it's own set of PAM header files.  You should probably
>  be using those instead of the Linux ones, to ensure binary
>  compatibility.

No. I did lots of work to ensure binary compatibility will "just work" with the
"Linux-PAM" header files, and it does.

Also, -KPIC needs to become -fPIC since Andrew apparently replaced the gcc defs
with the cc defs (I actually kept both sets since I can see using either).
Which is to say, the defs files cannot switch compilers by simply editing the
value of CC, you have to change *all* of the important variables.

-D



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index] []